# Linux Kernel Module Cheat

### 11.3. User mode Buildroot executables

If you followed QEMU Buildroot setup, you can now run the executables created by Buildroot directly as:

    ./run \
      --userland "$(./getvar buildroot_target_dir)/bin/echo" \
      --cli-args='asdf' \
    ;

To easily explore the userland executable environment interactively, you can do:

    ./run \
      --arch aarch64 \
      --userland "$(./getvar --arch aarch64 buildroot_target_dir)/bin/sh" \
      --terminal \
    ;

or:

    ./run \
      --arch aarch64 \
      --userland "$(./getvar --arch aarch64 buildroot_target_dir)/bin/sh" \
      --cli-args='-c "uname -a && pwd"' \
    ;

Here is an interesting examples of this: Section 17.19.1, “Linux Test Project”